Bug 188117 - "alt+shift+f" and "\"
"alt+shift+f" and "\"
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
6.x
PC Linux
: P4 (vote)
: 7.0
Assigned To: Alexander Simon
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-26 19:08 UTC by EduardoAndrade
Modified: 2010-12-29 07:09 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description EduardoAndrade 2010-06-26 19:08:58 UTC
example:

After "alt+shift+f" the \ moves one step to right.

Versão do produto: NetBeans IDE 6.8 (Build 200912041610)
Java: 1.6.0_18; Java HotSpot(TM) Client VM 16.0-b13
Sistema: Linux versão 2.6.24-16-generic executando em i386; UTF-8; pt_BR (nb)
Diretório do usuário: /home/eduardo/.netbeans/6.8

Steps to reproduce:
1 - type any code and put a \
2 - press "alt+shift+f"

example:

printf("example of %s issue", \
  "this");

-> "alt+shift+f"

printf("example of %s issue",  \
  "this");

-> "alt+shift+f"

printf("example of %s issue",   \
  "this");
Comment 1 EduardoAndrade 2010-06-28 13:36:36 UTC
This error seems to happen only when "\" is after a comma ",".
Comment 2 EduardoAndrade 2010-06-28 13:46:49 UTC
This error also occurs when "\" is after a "&&".
Example:

if ((data[readBytes - 2] == 05) && \
                (data[readBytes - 1] == 04 {
  //do something...
}
Comment 3 Alexander Simon 2010-12-28 10:56:08 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/49961ddcf6e2
Comment 4 Quality Engineering 2010-12-29 07:09:11 UTC
Integrated into 'main-golden', will be available in build *201012290001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/49961ddcf6e2
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #188117 "alt+shift+f" and "\"


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo